Update user details
curl --request PATCH \
--url https://{environment}.plugsurfing.com/drive/v1/users/{userId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"email": "driver.updated@example.com",
"vatNumber": "SE123456789001",
"billingAddress": {
"line1": "Kungsgatan 1",
"city": "Stockholm",
"postalCode": "11143",
"countryCode": "SE"
}
}
'import requests
url = "https://{environment}.plugsurfing.com/drive/v1/users/{userId}"
payload = {
"email": "driver.updated@example.com",
"vatNumber": "SE123456789001",
"billingAddress": {
"line1": "Kungsgatan 1",
"city": "Stockholm",
"postalCode": "11143",
"countryCode": "SE"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'driver.updated@example.com',
vatNumber: 'SE123456789001',
billingAddress: {
line1: 'Kungsgatan 1',
city: 'Stockholm',
postalCode: '11143',
countryCode: 'SE'
}
})
};
fetch('https://{environment}.plugsurfing.com/drive/v1/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/drive/v1/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'driver.updated@example.com',
'vatNumber' => 'SE123456789001',
'billingAddress' => [
'line1' => 'Kungsgatan 1',
'city' => 'Stockholm',
'postalCode' => '11143',
'countryCode' => 'SE'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/drive/v1/users/{userId}"
payload := strings.NewReader("{\n \"email\": \"driver.updated@example.com\",\n \"vatNumber\": \"SE123456789001\",\n \"billingAddress\": {\n \"line1\": \"Kungsgatan 1\",\n \"city\": \"Stockholm\",\n \"postalCode\": \"11143\",\n \"countryCode\": \"SE\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{environment}.plugsurfing.com/drive/v1/users/{userId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"driver.updated@example.com\",\n \"vatNumber\": \"SE123456789001\",\n \"billingAddress\": {\n \"line1\": \"Kungsgatan 1\",\n \"city\": \"Stockholm\",\n \"postalCode\": \"11143\",\n \"countryCode\": \"SE\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/drive/v1/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"driver.updated@example.com\",\n \"vatNumber\": \"SE123456789001\",\n \"billingAddress\": {\n \"line1\": \"Kungsgatan 1\",\n \"city\": \"Stockholm\",\n \"postalCode\": \"11143\",\n \"countryCode\": \"SE\"\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "Invalid request payload",
"details": [
"field X is required"
]
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}Users
Update user details
This endpoints lets you update a given user’s email, VAT number and billing address.
PATCH
/
drive
/
v1
/
users
/
{userId}
Update user details
curl --request PATCH \
--url https://{environment}.plugsurfing.com/drive/v1/users/{userId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"email": "driver.updated@example.com",
"vatNumber": "SE123456789001",
"billingAddress": {
"line1": "Kungsgatan 1",
"city": "Stockholm",
"postalCode": "11143",
"countryCode": "SE"
}
}
'import requests
url = "https://{environment}.plugsurfing.com/drive/v1/users/{userId}"
payload = {
"email": "driver.updated@example.com",
"vatNumber": "SE123456789001",
"billingAddress": {
"line1": "Kungsgatan 1",
"city": "Stockholm",
"postalCode": "11143",
"countryCode": "SE"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'driver.updated@example.com',
vatNumber: 'SE123456789001',
billingAddress: {
line1: 'Kungsgatan 1',
city: 'Stockholm',
postalCode: '11143',
countryCode: 'SE'
}
})
};
fetch('https://{environment}.plugsurfing.com/drive/v1/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/drive/v1/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'driver.updated@example.com',
'vatNumber' => 'SE123456789001',
'billingAddress' => [
'line1' => 'Kungsgatan 1',
'city' => 'Stockholm',
'postalCode' => '11143',
'countryCode' => 'SE'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/drive/v1/users/{userId}"
payload := strings.NewReader("{\n \"email\": \"driver.updated@example.com\",\n \"vatNumber\": \"SE123456789001\",\n \"billingAddress\": {\n \"line1\": \"Kungsgatan 1\",\n \"city\": \"Stockholm\",\n \"postalCode\": \"11143\",\n \"countryCode\": \"SE\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{environment}.plugsurfing.com/drive/v1/users/{userId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"driver.updated@example.com\",\n \"vatNumber\": \"SE123456789001\",\n \"billingAddress\": {\n \"line1\": \"Kungsgatan 1\",\n \"city\": \"Stockholm\",\n \"postalCode\": \"11143\",\n \"countryCode\": \"SE\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/drive/v1/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"driver.updated@example.com\",\n \"vatNumber\": \"SE123456789001\",\n \"billingAddress\": {\n \"line1\": \"Kungsgatan 1\",\n \"city\": \"Stockholm\",\n \"postalCode\": \"11143\",\n \"countryCode\": \"SE\"\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "Invalid request payload",
"details": [
"field X is required"
]
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}Authorizations
API key for authentication
Path Parameters
Body
application/json
Email address must be unique
Request payload to update user profile and billing details.
Response
OK